コンテンツにスキップ
α(一般提供前)のサービスです。一般提供はしておらず、仕様変更・機能の追加削除・データの削除が予告なく発生する場合があります。
ThingsConnectThingsConnect ドキュメント
Esc
↑↓移動↵開く⌘Jプレビュー

デバイスの一覧を取得する

組織のカメラとセンサを新しい順に返します。カメラに追加した AI アプリは含みません(AI アプリのインスタンスで取得します)。センサの現在値と配信の状態は一覧には入らないので、デバイスの詳細で取得してください。スコープは data か data:write が要ります。

GET/devices
Authorization
AuthorizationBearer token · headerrequired

組織設定の「API・MCP」タブで発行した API トークン(tcn_ で始まる)。

Query parameters
edgePcIdstring

このエッジPC のデバイスだけに絞る

typestring

デバイスの種類で絞る

Allowed:camerasensor
pageinteger

ページ番号(1 から。既定 1)

min 1 · default: 1
pageSizeinteger

1 ページの件数(1〜100。既定 50)

min 1 · max 100 · default: 50
Responses
200

デバイスの一覧

devicesDevice[]required
Show properties
Array of Device
idstringrequired
edgePcIdstringrequired
edgePcNamestringrequired
namestringrequired
notestring | nullrequired
manufacturerstring | nullrequired
modelstring | nullrequired
serialNumberstring | nullrequired

実機のシリアル番号

macAddressstring | nullrequired

控えた MAC アドレス(小文字のコロン区切り)。IP で繋ぐ機器は、エッジPC から初めて見えたときに自動で控えます

attributesobjectrequired

管理項目の値。キーは項目の ID で、未入力の項目は含みません

typestringrequired

カメラかセンサか

Allowed:camerasensor
cameraKindstring | nullrequired

カメラのつなぎ方。カメラ以外は null

Allowed:rtspusbcsihttpnull
sensorKindstring | nullrequired

センサの種類。センサ以外は null

Allowed:linescalethermometerpower_metermodbusgaugenull
sourceDeviceIdstring | nullrequired

映像を読むカメラ(カメラで読むセンサだけ)

latitudenumber | nullrequired

設置位置。null はエッジPC と同じ位置

longitudenumber | nullrequired
createdAtstring<date-time>required
totalintegerrequired

絞り込み後の総件数

pageintegerrequired
pageSizeintegerrequired
400

入力の検証エラー、または対象の種類が合わない

errorstringrequired

人が読めるエラーメッセージ

401

トークンが無い、または無効

errorstringrequired

人が読めるエラーメッセージ

403

スコープが足りない、または操作が許可されていない

errorstringrequired

人が読めるエラーメッセージ

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.thingsconnect.app/api/v1/devices' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "devices": [
    {
      "id": "string",
      "edgePcId": "string",
      "edgePcName": "string",
      "name": "string",
      "note": "string",
      "manufacturer": "string",
      "model": "string",
      "serialNumber": "string",
      "macAddress": "string",
      "attributes": {},
      "type": "camera",
      "cameraKind": "rtsp",
      "sensorKind": "line",
      "sourceDeviceId": "string",
      "latitude": 0,
      "longitude": 0,
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0
}